## org.eclipse.amp.amf.abase.scoping
Class ABaseScopeProvider

    java.lang.Object
      org.eclipse.xtext.scoping.impl.AbstractScopeProvider
          org.eclipse.xtext.scoping.impl.AbstractDeclarativeScopeProvider
              org.eclipse.amp.amf.abase.scoping.ABaseScopeProvider

All Implemented Interfaces:
  org.eclipse.xtext.scoping.IScopeProvider

    public class ABaseScopeProvider

extends org.eclipse.xtext.scoping.impl.AbstractDeclarativeScopeProvider

This class contains custom scoping description. see : http://www.eclipse.org/Xtext/documentation/latest/xtext.html#scoping on how and when to use it

Field Summary

Fields inherited from class org.eclipse.xtext.scoping.impl.AbstractDeclarativeScopeProvider
`logger, NAMED_DELEGATE, NAMED_ERROR_HANDLER`

Constructor Summary
`ABaseScopeProvider()`

Method Summary

Methods inherited from class org.eclipse.xtext.scoping.impl.AbstractDeclarativeScopeProvider
`delegateGetScope, getDelegate, getErrorHandler, getPredicate, getPredicate, getScope, polymorphicFindScopeForClassName, polymorphicFindScopeForReferenceName, setDelegate, setErrorHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ABaseScopeProvider

    public ABaseScopeProvider()